Blend (JavaFX 13)

Module javafx.graphics
Package javafx.scene.effect

## Class Blend

- java.lang.Object
- - javafx.scene.effect.Effect
  - - javafx.scene.effect.Blend

-     public class Blend
      extends Effect

  An effect that blends the two inputs together using one of the pre-defined `BlendMode`s.

  Example:

       Blend blend = new Blend();
       blend.setMode(BlendMode.COLOR_BURN);

       ColorInput colorInput = new ColorInput();
       colorInput.setPaint(Color.STEELBLUE);
       colorInput.setX(10);
       colorInput.setY(10);
       colorInput.setWidth(100);
       colorInput.setHeight(180);

       blend.setTopInput(colorInput);

       Rectangle rect = new Rectangle();
       rect.setWidth(220);
       rect.setHeight(100);
       Stop[] stops = new Stop[]{new Stop(0, Color.LIGHTSTEELBLUE), new Stop(1, Color.PALEGREEN)};
       LinearGradient lg = new LinearGradient(0, 0, 0.25, 0.25, true, CycleMethod.REFLECT, stops);
       rect.setFill(lg);

       Text text = new Text();
       text.setX(15);
       text.setY(65);
       text.setFill(Color.PALEVIOLETRED);
       text.setText("COLOR_BURN");
       text.setFont(Font.font(null, FontWeight.BOLD, 30));

       Group g = new Group();
       g.setEffect(blend);
       g.getChildren().addAll(rect, text);

  The code above produces the following:

  Since:
    JavaFX 2.0

- - ### Property Summary

    Properties
    Type | Property | Description
    --- | --- | ---
    `ObjectProperty<Effect>` | `bottomInput` | The bottom input for this `Blend` operation.
    `ObjectProperty<BlendMode>` | `mode` | The `BlendMode` used to blend the two inputs together.
    `DoubleProperty` | `opacity` | The opacity value, which is modulated with the top input prior to blending.
    `ObjectProperty<Effect>` | `topInput` | The top input for this `Blend` operation.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Blend()` | Creates a new instance of Blend with default parameters.
    `Blend​(BlendMode mode)` | Creates a new instance of Blend with the specified mode.
    `Blend​(BlendMode mode, Effect bottomInput, Effect topInput)` | Creates a new instance of Blend with the specified mode and bottom and top inputs.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ObjectProperty<Effect>` | `bottomInputProperty()` | The bottom input for this `Blend` operation.
    `Effect` | `getBottomInput()` | Gets the value of the property bottomInput.
    `BlendMode` | `getMode()` | Gets the value of the property mode.
    `double` | `getOpacity()` | Gets the value of the property opacity.
    `Effect` | `getTopInput()` | Gets the value of the property topInput.
    `ObjectProperty<BlendMode>` | `modeProperty()` | The `BlendMode` used to blend the two inputs together.
    `DoubleProperty` | `opacityProperty()` | The opacity value, which is modulated with the top input prior to blending.
    `void` | `setBottomInput​(Effect value)` | Sets the value of the property bottomInput.
    `void` | `setMode​(BlendMode value)` | Sets the value of the property mode.
    `void` | `setOpacity​(double value)` | Sets the value of the property opacity.
    `void` | `setTopInput​(Effect value)` | Sets the value of the property topInput.
    `ObjectProperty<Effect>` | `topInputProperty()` | The top input for this `Blend` operation.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Property Detail

    - #### mode

          public final ObjectProperty<BlendMode> modeProperty

      The `BlendMode` used to blend the two inputs together.

                 Min: n/a
                 Max: n/a
             Default: BlendMode.SRC_OVER
            Identity: n/a

      Default value:
        SRC_OVER
      See Also:
        `getMode()`, `setMode(BlendMode)`

    - #### opacity

          public final DoubleProperty opacityProperty

      The opacity value, which is modulated with the top input prior to blending.

                 Min: 0.0
                 Max: 1.0
             Default: 1.0
            Identity: 1.0

      Default value:
        1.0
      See Also:
        `getOpacity()`, `setOpacity(double)`

    - #### bottomInput

          public final ObjectProperty<Effect> bottomInputProperty

      The bottom input for this `Blend` operation. If set to `null`, or left unspecified, a graphical image of the `Node` to which the `Effect` is attached will be used as the input.
      Default value:
        null
      See Also:
        `getBottomInput()`, `setBottomInput(Effect)`

    - #### topInput

          public final ObjectProperty<Effect> topInputProperty

      The top input for this `Blend` operation. If set to `null`, or left unspecified, a graphical image of the `Node` to which the `Effect` is attached will be used as the input.
      Default value:
        null
      See Also:
        `getTopInput()`, `setTopInput(Effect)`

  - ### Constructor Detail

    - #### Blend

          public Blend()

      Creates a new instance of Blend with default parameters.

    - #### Blend

          public Blend​(BlendMode mode)

      Creates a new instance of Blend with the specified mode.
      Parameters:
        `mode` - the `BlendMode` used to blend the two inputs together
      Since:
        JavaFX 2.1

    - #### Blend

          public Blend​(BlendMode mode,
                       Effect bottomInput,
                       Effect topInput)

      Creates a new instance of Blend with the specified mode and bottom and top inputs.
      Parameters:
        `mode` - the `BlendMode` used to blend the two inputs together
        `bottomInput` - the bottom input for this `Blend` operation
        `topInput` - the top input for this `Blend` operation
      Since:
        JavaFX 2.1

  - ### Method Detail

    - #### setMode

          public final void setMode​(BlendMode value)

      Sets the value of the property mode.
      Property description:
        The `BlendMode` used to blend the two inputs together.

                   Min: n/a
                   Max: n/a
               Default: BlendMode.SRC_OVER
              Identity: n/a

      Default value:
        SRC_OVER

    - #### getMode

          public final BlendMode getMode()

      Gets the value of the property mode.
      Property description:
        The `BlendMode` used to blend the two inputs together.

                   Min: n/a
                   Max: n/a
               Default: BlendMode.SRC_OVER
              Identity: n/a

      Default value:
        SRC_OVER

    - #### modeProperty

          public final ObjectProperty<BlendMode> modeProperty()

      The `BlendMode` used to blend the two inputs together.

                 Min: n/a
                 Max: n/a
             Default: BlendMode.SRC_OVER
            Identity: n/a

      Default value:
        SRC_OVER
      See Also:
        `getMode()`, `setMode(BlendMode)`

    - #### setOpacity

          public final void setOpacity​(double value)

      Sets the value of the property opacity.
      Property description:
        The opacity value, which is modulated with the top input prior to blending.

                   Min: 0.0
                   Max: 1.0
               Default: 1.0
              Identity: 1.0

      Default value:
        1.0

    - #### getOpacity

          public final double getOpacity()

      Gets the value of the property opacity.
      Property description:
        The opacity value, which is modulated with the top input prior to blending.

                   Min: 0.0
                   Max: 1.0
               Default: 1.0
              Identity: 1.0

      Default value:
        1.0

    - #### opacityProperty

          public final DoubleProperty opacityProperty()

      The opacity value, which is modulated with the top input prior to blending.

                 Min: 0.0
                 Max: 1.0
             Default: 1.0
            Identity: 1.0

      Default value:
        1.0
      See Also:
        `getOpacity()`, `setOpacity(double)`

    - #### setBottomInput

          public final void setBottomInput​(Effect value)

      Sets the value of the property bottomInput.
      Property description:
        The bottom input for this `Blend` operation. If set to `null`, or left unspecified, a graphical image of the `Node` to which the `Effect` is attached will be used as the input.
      Default value:
        null

    - #### getBottomInput

          public final Effect getBottomInput()

      Gets the value of the property bottomInput.
      Property description:
        The bottom input for this `Blend` operation. If set to `null`, or left unspecified, a graphical image of the `Node` to which the `Effect` is attached will be used as the input.
      Default value:
        null

    - #### bottomInputProperty

          public final ObjectProperty<Effect> bottomInputProperty()

      The bottom input for this `Blend` operation. If set to `null`, or left unspecified, a graphical image of the `Node` to which the `Effect` is attached will be used as the input.
      Default value:
        null
      See Also:
        `getBottomInput()`, `setBottomInput(Effect)`

    - #### setTopInput

          public final void setTopInput​(Effect value)

      Sets the value of the property topInput.
      Property description:
        The top input for this `Blend` operation. If set to `null`, or left unspecified, a graphical image of the `Node` to which the `Effect` is attached will be used as the input.
      Default value:
        null

    - #### getTopInput

          public final Effect getTopInput()

      Gets the value of the property topInput.
      Property description:
        The top input for this `Blend` operation. If set to `null`, or left unspecified, a graphical image of the `Node` to which the `Effect` is attached will be used as the input.
      Default value:
        null

    - #### topInputProperty

          public final ObjectProperty<Effect> topInputProperty()

      The top input for this `Blend` operation. If set to `null`, or left unspecified, a graphical image of the `Node` to which the `Effect` is attached will be used as the input.
      Default value:
        null
      See Also:
        `getTopInput()`, `setTopInput(Effect)`